Page MenuHomePhabricator

Review and deploy Extension:UploadsLink to Wikimedia Commons
Closed, ResolvedPublic

Event Timeline

Rillke created this task.Mar 15 2016, 3:38 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptMar 15 2016, 3:38 PM
Rillke added a comment.EditedMar 15 2016, 4:04 PM

Change 281644 had a related patch set uploaded (by Rillke):
make-wmf-branch: Branch UploadsLink extension

https://gerrit.wikimedia.org/r/281644

Change 281646 had a related patch set uploaded (by Rillke):
Add UploadsLink to extension-list

https://gerrit.wikimedia.org/r/281646

Rillke renamed this task from Review and deploy Extension:UploadsLink to Beta Commons first, then to the real Wikimedia Commons to Review and deploy Extension:UploadsLink to Wikimedia Commons.Apr 5 2016, 1:27 PM

I've proposed deploying this to production on May 4th, pending no issues with it on beta: https://wikitech.wikimedia.org/w/index.php?title=Deployments&action=historysubmit&type=revision&diff=459726&oldid=458830.

Change 281644 merged by jenkins-bot:
make-wmf-branch: Branch UploadsLink extension

https://gerrit.wikimedia.org/r/281644

Rillke added a comment.EditedApr 26 2016, 7:44 AM

I've proposed deploying this to production on May 4th, pending no issues with it on beta: https://wikitech.wikimedia.org/w/index.php?title=Deployments&action=historysubmit&type=revision&diff=459726&oldid=458830.

Will you be around that day? I've marked it in my calendar, and while I'll be in IRC most of the time, I can't between 15:30 and 21:00 UTC.

Change 286494 had a related patch set uploaded (by Rillke):
Add UploadsLink to production extension-list

https://gerrit.wikimedia.org/r/286494

Change 281646 abandoned by Rillke:
Add UploadsLink to extension-list

Reason:
in favour of Ica916b67f2cb9d1a0f541f0a23ac24aea77bb1d7

https://gerrit.wikimedia.org/r/281646

Change 286517 had a related patch set uploaded (by Rillke):
Enable UploadsLink at Wikimedia Commons

https://gerrit.wikimedia.org/r/286517

I've proposed deploying this to production on May 4th, pending no issues with it on beta: https://wikitech.wikimedia.org/w/index.php?title=Deployments&action=historysubmit&type=revision&diff=459726&oldid=458830.

Will you be around that day? I've marked it in my calendar, and while I'll be in IRC most of the time, I can't between 15:30 and 21:00 UTC.

Yup. I scheduled it for 16:00-17:00 UTC, since that's the best time for me, it's fine if you're not online. It shouldn't be too difficult for me to find a commons sysop or GEI to disable the gadget.

Legoktm claimed this task.May 3 2016, 8:48 PM

It shouldn't be too difficult for me to find a commons sysop or GEI to disable the gadget.

No need to rush. There won't be duplicate links.

Dereckson added a subscriber: Dereckson.

It hasn't been announced. Should be in the next tech news.

Rillke added a comment.May 4 2016, 1:30 PM

It hasn't been announced. Should be in the next tech news.

I think there are more important news. There are almost no notable changes for users since it's replacing a default gadget. I'll announce it at Commons Watchlist for those who disabled UploadsLink.

Change 286494 merged by jenkins-bot:
Add UploadsLink to production extension-list

https://gerrit.wikimedia.org/r/286494

Mentioned in SAL [2016-05-04T16:13:40Z] <legoktm@tin> Started scap: Build l10n cache for UploadsLink deployment - T130018

Mentioned in SAL [2016-05-04T17:05:34Z] <legoktm@tin> Finished scap: Build l10n cache for UploadsLink deployment - T130018 (duration: 51m 53s)

Change 286517 merged by jenkins-bot:
Enable UploadsLink at Wikimedia Commons

https://gerrit.wikimedia.org/r/286517

Mentioned in SAL [2016-05-04T17:09:06Z] <legoktm@tin> Synchronized wmf-config/: Enable UploadsLink at Wikimedia Commons - T130018 (duration: 00m 43s)

Legoktm closed this task as Resolved.May 4 2016, 5:13 PM
hashar reopened this task as Open.May 4 2016, 7:19 PM
hashar added a subscriber: hashar.

I have reverted https://gerrit.wikimedia.org/r/#/c/286517/ due to:

Notice: Undefined variable: wmgUseUploadsLink in /srv/mediawiki/wmf-config/CommonSettings.php on line 827

Mentioned in SAL [2016-05-04T19:21:37Z] <hashar@tin> Synchronized wmf-config: Reverting https://gerrit.wikimedia.org/r/#/c/286517/ due to wmgUseUploadsLink being undefined. T130018 (duration: 00m 29s)

Change 286998 had a related patch set uploaded (by Legoktm):
Enable UploadsLink at Wikimedia Commons (try #2)

https://gerrit.wikimedia.org/r/286998

Change 286998 merged by jenkins-bot:
Enable UploadsLink at Wikimedia Commons (try #2)

https://gerrit.wikimedia.org/r/286998

Rillke closed this task as Resolved.May 4 2016, 9:31 PM

There be'll a follow-up for directory mtime not always updated and/or invalidation time is based on "$wmfConfigDir/."